patch

/v4/internal/key-value-stores/quotas/{address}

Update a creator quota (BackOffice only)

Path parameters

addressstring
required

Request body

object
maxConfigsnumber
maxSizeLimitnumber
allowedTypesenum[]WHITELISTBLACKLISTBOOSTREFERRERFORWARDERAPR

Responses

200
Response for status 200
Schema
object
ownerAddressstring
required
maxConfigsnumber
required
maxSizeLimitnumber
required
allowedTypesstring[]
required
createdAtstring
required
updatedAtstring
required
Example
{
  "ownerAddress": "string",
  "maxConfigs": 0,
  "maxSizeLimit": 0,
  "allowedTypes": [
    "string"
  ],
  "createdAt": "string",
  "updatedAt": "string"
}
patch
https://api.merkl.xyz/v4/internal/key-value-stores/quotas/{address}
Merkl API
curl -X PATCH "https://api.merkl.xyz/v4/internal/key-value-stores/quotas/{address}" \
  -H "Content-Type: application/json" \
  -d '{ "maxConfigs": 0, "maxSizeLimit": 0, "allowedTypes": [ "WHITELIST" ] }'
Current params
{
  "body": {
    "maxConfigs": 0,
    "maxSizeLimit": 0,
    "allowedTypes": [
      "WHITELIST"
    ]
  }
}
Fill the required path parameter address to send.Live request — this will call https://api.merkl.xyz/ for real.